umbrello: JavaClassDeclarationBlock Class Reference

umbrello 2.32.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Private Member Functions | List of all members
JavaClassDeclarationBlock Class Reference

`#include <javaclassdeclarationblock.h>`

Inheritance diagram for JavaClassDeclarationBlock:

## Public Member Functions
| JavaClassDeclarationBlock (JavaClassifierCodeDocument *parentDoc, const QString &start=QString(), const QString &endText=QLatin1String("}"), const QString &comment=QString())
virtual | ~JavaClassDeclarationBlock ()
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
virtual void | loadFromXMI1 (QDomElement &root)
void | updateContent ()
Public Member Functions inherited from OwnedHierarchicalCodeBlock
| OwnedHierarchicalCodeBlock (UMLObject *parent, CodeDocument *parentDoc, const QString &start=QString(), const QString &end=QString(), const QString &comment=QString())
virtual | ~OwnedHierarchicalCodeBlock ()
CodeDocument * | getParentDocument ()
Public Member Functions inherited from OwnedCodeBlock
| OwnedCodeBlock (UMLObject *parent)
virtual | ~OwnedCodeBlock ()
UMLObject * | getParentObject ()
Public Member Functions inherited from HierarchicalCodeBlock
| HierarchicalCodeBlock (CodeDocument *doc, const QString &startString=QString(), const QString &endString=QString(), const QString &comment=QString())
virtual | ~HierarchicalCodeBlock ()
void | setEndText (const QString &new_var)
QString | getEndText () const
bool | addTextBlock (TextBlock *add_object)
bool | insertTextBlock (TextBlock *newBlock, TextBlock *existingBlock, bool after=true)
bool | removeTextBlock (TextBlock *remove_object)
void | setStartText (const QString &text)
QString | getStartText () const
virtual QString | toString () const
QString | getUniqueTag ()
QString | getUniqueTag (const QString &prefix)
void | addCodeClassFieldMethods (CodeClassFieldList &list)
virtual CodeBlock * | newCodeBlock ()
virtual CodeBlockWithComments * | newCodeBlockWithComments ()
virtual HierarchicalCodeBlock * | newHierarchicalCodeBlock ()
Public Member Functions inherited from CodeBlockWithComments
| CodeBlockWithComments (CodeDocument *parent, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeBlockWithComments ()
void | setComment (CodeComment *object)
CodeComment * | getComment () const
void | setOverallIndentationLevel (int level)
Public Member Functions inherited from CodeBlock
| CodeBlock (CodeDocument *parent, const QString &body=QString())
virtual | ~CodeBlock ()
void | setContentType (ContentType new_var)
ContentType | contentType () const
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
bool | canDelete () const
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()
Public Member Functions inherited from CodeGenObjectWithTextBlocks
| CodeGenObjectWithTextBlocks (CodeDocument *parent)
virtual | ~CodeGenObjectWithTextBlocks ()
TextBlockList * | getTextBlockList () const
virtual HierarchicalCodeBlock * | getHierarchicalCodeBlock (const QString &tag, const QString &comment, int indentLevel)
virtual CodeBlockWithComments * | getCodeBlockWithComments (const QString &tag, const QString &comment, int indentLevel)
CodeComment * | addOrUpdateTaggedCodeComment (const QString &tag=QString(), const QString &text=QString(), int indentationLevel=0)
CodeBlockWithComments * | addOrUpdateTaggedCodeBlockWithComments (const QString &tag, const QString &text, const QString &ctext, int indentLevel, bool forceUserBlockUpdate)
TextBlock * | findTextBlockByTag (const QString &tag)
CodeGenObjectWithTextBlocks * | findParentObjectForTaggedTextBlock (const QString &tag)

## Private Member Functions
void | init (JavaClassifierCodeDocument *parent, const QString &comment)

## Additional Inherited Members
Public Types inherited from CodeBlock
enum | ContentType { AutoGenerated =0 , UserGenerated }
Public Slots inherited from OwnedHierarchicalCodeBlock
void | syncToParent ()
Public Slots inherited from OwnedCodeBlock
virtual void | syncToParent ()
Static Public Member Functions inherited from CodeBlock
static QString | enumToString (const ContentType &val)
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from OwnedHierarchicalCodeBlock
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)
Protected Member Functions inherited from HierarchicalCodeBlock
TextBlock * | findCodeClassFieldTextBlockByTag (const QString &tag)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
Protected Member Functions inherited from CodeGenObjectWithTextBlocks
void | setAttributesFromObject (CodeGenObjectWithTextBlocks *obj)
virtual void | loadChildTextBlocksFromNode (QDomElement &root)
virtual void | resetTextBlocks ()
Protected Attributes inherited from CodeGenObjectWithTextBlocks
QMap< QString, TextBlock * > | m_textBlockTagMap
TextBlockList | m_textblockVector

## Constructor & Destructor Documentation

## ◆ JavaClassDeclarationBlock()

JavaClassDeclarationBlock::JavaClassDeclarationBlock | ( | JavaClassifierCodeDocument * | parentDoc,
|  | const QString & | start = `QString()`,
|  | const QString & | endText = `QLatin1String("}")`,
|  | const QString & | comment = `QString()`
| ) |  |
| explicit

Empty Constructor

## ◆ ~JavaClassDeclarationBlock()

JavaClassDeclarationBlock::~JavaClassDeclarationBlock | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ init()

void JavaClassDeclarationBlock::init | ( | JavaClassifierCodeDocument * | parent,
|  | const QString & | comment
| ) |  |
| private

## ◆ loadFromXMI1()

void JavaClassDeclarationBlock::loadFromXMI1 | ( | QDomElement & | root | ) |
| virtual

load params from the appropriate XMI element node.

Implements OwnedHierarchicalCodeBlock.

## ◆ saveToXMI1()

void JavaClassDeclarationBlock::saveToXMI1 | ( | QXmlStreamWriter & | writer | ) |
| virtual

Save the XMI representation of this object

Implements OwnedHierarchicalCodeBlock.

## ◆ updateContent()

void JavaClassDeclarationBlock::updateContent | ( |  | ) |
| virtual

Update the start/end text of this codeblock.

update the start and end text for this ownedhierarchicalcodeblock.

Implements OwnedHierarchicalCodeBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/java/javaclassdeclarationblock.h
- umbrello/codegenerators/java/javaclassdeclarationblock.cpp